<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore"
    xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel" modelDirectory="/org.gecko.demo.model/src" modelPluginID="org.gecko.demo.model"
    modelName="demo" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
    importerID="org.eclipse.emf.importer.ecore" complianceLevel="8.0" suppressGenModelAnnotations="false"
    copyrightFields="false" operationReflection="true" importOrganizing="true" oSGiCompatible="true">
  <foreignModel>demo.ecore</foreignModel>
  <genPackages prefix="Demo" basePackage="org.gecko.demo.model" resource="XMI" disposableProviderFactory="true"
      ecorePackage="demo.ecore#/">
    <genClasses image="false" ecoreClass="demo.ecore#//Base">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute demo.ecore#//Base/id"/>
    </genClasses>
    <genClasses ecoreClass="demo.ecore#//TLC">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute demo.ecore#//TLC/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute demo.ecore#//TLC/test"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference demo.ecore#//TLC/location"/>
    </genClasses>
    <genClasses ecoreClass="demo.ecore#//Location">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute demo.ecore#//Location/lat"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute demo.ecore#//Location/lng"/>
    </genClasses>
    <genClasses ecoreClass="demo.ecore#//TrackSwitch">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference demo.ecore#//TrackSwitch/location"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference demo.ecore#//TrackSwitch/props"/>
    </genClasses>
    <genClasses ecoreClass="demo.ecore#//StringToStringMapEntry">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute demo.ecore#//StringToStringMapEntry/key"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute demo.ecore#//StringToStringMapEntry/value"/>
    </genClasses>
    <genClasses ecoreClass="demo.ecore#//TLCResponse">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference demo.ecore#//TLCResponse/tlcs"/>
    </genClasses>
    <genClasses ecoreClass="demo.ecore#//TrackSwitchResponse">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference demo.ecore#//TrackSwitchResponse/switches"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
